# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1069.45.3 -> 1.1069.45.4
#	 arch/ia64/config.in	1.13.4.4 -> 1.13.4.5
#	        fs/Config.in	1.26    -> 1.27   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/09/30	kenneth.w.chen@intel.com	1.1069.45.4
# HUGETLBFS: clean up config options
# 
# Hugetlbfs is not module'able at current state, so tristate the "HugeTLB
# file system support" option is kind of silly.  Also, at present you can
# set CONFIG_HUGETLB_PAGE and not CONFIG_HUGETLBFS, which give the kernel
# low-level hugepage support, but no userspace API to access it is also
# kind of silly.
# 
# While I'm at it, here is a patch that flips dependency around:
# CONFIG_HUGETLB_PAGE mirrors CONFIG_HUGETLBFS option and hugetlb page
# size selection appear/disappear depending on whether hugetlbfs is
# selected or not.  (this is taken from 2.6).
# --------------------------------------------
#
diff -Nru a/arch/ia64/config.in b/arch/ia64/config.in
--- a/arch/ia64/config.in	Thu Oct  9 15:20:23 2003
+++ b/arch/ia64/config.in	Thu Oct  9 15:20:23 2003
@@ -86,8 +86,6 @@
 
 define_int CONFIG_FORCE_MAX_ZONEORDER 19
 
-bool 'IA-64 Huge TLB Page Support' CONFIG_HUGETLB_PAGE
-
 if [ "$CONFIG_HUGETLB_PAGE" = "y" ]; then
 	if [ "$CONFIG_MCKINLEY" = "y" ]; then
 		choice '    IA-64 Huge TLB Page Size'		\
diff -Nru a/fs/Config.in b/fs/Config.in
--- a/fs/Config.in	Thu Oct  9 15:20:23 2003
+++ b/fs/Config.in	Thu Oct  9 15:20:23 2003
@@ -54,8 +54,11 @@
 bool 'Virtual memory file system support (former shm fs)' CONFIG_TMPFS
 define_bool CONFIG_RAMFS y
 
-if [ "$CONFIG_HUGETLB_PAGE" = "y" ]; then
-	tristate 'HugeTLB file system support' CONFIG_HUGETLBFS 
+bool 'HugeTLB file system support' CONFIG_HUGETLBFS
+if [ "$CONFIG_HUGETLBFS" = "y" ]; then
+	define_bool CONFIG_HUGETLB_PAGE y
+else
+	define_bool CONFIG_HUGETLB_PAGE n
 fi
 
 tristate 'ISO 9660 CDROM file system support' CONFIG_ISO9660_FS
